BPFMON(8)

NAME
bpfmon - BPF based visual packet rate monitor

SYNOPSIS
bpfmon

bpfmon [-autzvIiLlnNh] <device> '<bpf_filter_code>'

bpfmon [-autzvIiLlnNh] iptables '[<table>] <chain> <rulenum>'

bpfmon [-autzvIiLlnNh] iptables [select]

bpfmon [-autzvIiLlnNh] ip6tables '[<table>] <chain> <rulenum>'

bpfmon [-autzvIiLlnNh] ip6tables [select]

DESCRIPTION
bpfmon (like tcpdump) uses BPF filter to select packets that match the filter. While with tcpdump it is easy to see what packets match the filter, bpfmon shows how much are the matches packets in terms of bytes per second and packets per second.

bpfmon displays the information in pseudo-graphical text interface, developed for modern terminals, but it also supports pure ASCII display.

In addition, bpfmon allows instead of monitoring packets matching a BPF filter to get its data from an iptables/ip6tables rule (on Linux systems).

In interactive mode, there are hot keys to display help or modify the mode of operation.

Without any arguments, bpfmon will display its version and options help.

OPTIONS

-a  Use ASCII drawing characters

-u  Use UTF-8 drawing characters

-t  Use no interface (simple text output)

-z  Use horizontal full-screen interface

-v  Use vertical full-screen interface

-I  Show history in vertical full-screen

-i  Hide history in vertical full-screen

-L  Show legend in vertical full-screen

-l  Hide legend in vertical full-screen -n Show interface white on black

-N  Show interface inverse (black on white)

-h  Show usage information and exit

KEYBOARD SHORTCUTS

h, H, ?
    Toggle help screen

a, A
    switch to ASCII drawing chars

u, U
    switch to UTF-8 drawing chars

m, M
    toggle horizontal/vertical mode

i, I
    toggle history in vertical mode

l, L
    toggle legend in vertical mode

n, N
    toggle inverse mode

z, Z
    zero history and restart

s, S
    iptables rule select

6   ip6tables rule select

r, R, Ctrl-L
    refresh screen

q, Q, Ctrl-C
    Exit

SEE ALSO
tcpdump(8), bpf(4), pcap-filter(7) iptables(8),

AUTHOR
The bpfmon program was written by Boian Bonev from 2014 to 2024.

This manual page was written by Boian Bonev for the Debian project and is placed in the public domain.